For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
開発者向けツール
コミュニティお問い合わせコンソール
ホームAPI参照ドキュメント変更ログ
ホームAPI参照ドキュメント変更ログ
  • API Reference
      • PATCHAssign or update group role for a project
      • GETList project user roles
      • DELRemove a group from a project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
開発者向けツール
コミュニティお問い合わせコンソール
API ReferenceProject Permissions

Assign or update group role for a project

PATCH
https://api.frame.io/v4/accounts/:account_id/projects/:project_id/groups/:group_id
PATCH
/v4/accounts/:account_id/projects/:project_id/groups/:group_id
1from frameio_experimental import FrameioExperimental
2from frameio_experimental.project_permissions import UpdateGroupRolesParamsData
3
4client = FrameioExperimental(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.project_permissions.project_group_roles_update(
9 account_id="eb2a0e04-c5f5-46d2-ae2a-6991aa6c9abb",
10 project_id="0c80477b-990c-4712-b025-e2c3fb0206f8",
11 group_id="c664871b-b1b2-4bd1-9bac-586764983d3b",
12 api_version="experimental",
13 data=UpdateGroupRolesParamsData(
14 role="editor",
15 ),
16)
1{
2 "data": {
3 "role": "editor"
4 }
5}

Assigns an access group to a project with a specified role, granting all members of the group that role on the project. If the group is already assigned, this updates the group’s role.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

このページは役に立ちましたか?
前へ

List project user roles

次へ

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

account_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
project_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
group_idstring必須形式: "uuid"
A UUID string that uniquely identifies a Frame.io entity.

ヘッダー

api-versionenum必須
許可された値:

リクエスト

Update group roles params body
dataobject必須

レスポンスヘッダー

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

レスポンス

OK
dataobject

エラー

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).